<?php

/**
 * Class used to render the form
 */
class MWP_Form {

	/**
	 * Form ID 
	 * @var integer
	 */
	public $form_id = 0;

	public function __construct( $id = 0 ) {
		$this->form_id = $id;
	}

	/**
	 * Renders errors if any
	 * @return void
	 */
	public function render_errors() {

		$errors = mwp_get_form_errors( $this->form_id );

		if( is_array( $errors ) && count( $errors ) > 0 ) {
			echo '<ul class="errors">';
			foreach ($errors as $error) {
				echo '<li>' . $error . '</li>';
			}
			echo '</ul>';
		}
	}

	/**
	 * Rendering the form
	 * @return void
	 */
	public function render() {
		
		if( $this->form_id == 0 ) {
			return;
		}

		?>
		<div class="mwp-subscribe-form" data-id="<?php echo $this->form_id; ?>">
			<form action="" method="POST">
				<?php $this->render_errors(); ?>
				<input type="text" name="mwp_name" placeholder="<?php _e( 'Your Name', 'mwp' ); ?>"/>
				<input type="email" name="mwp_email" placeholder="<?php _e( 'Your Email', 'mwp'); ?>"/>
				<button class="button" type="submit" name="mwp_subscribe_form_submit" value="<?php echo $this->form_id; ?>" ><?php _e( 'Subscribe', 'mwp' ); ?></button>
			</form>
		</div>
		<?php
	}
}