<?php

// Register Custom Post Type
function mwp_cpt_form() {

	$labels = array(
		'name'                  => _x( 'Forms', 'Post Type General Name', 'mwp' ),
		'singular_name'         => _x( 'Form', 'Post Type Singular Name', 'mwp' ),
		'menu_name'             => __( 'MWP Form', 'mwp' ),
		'name_admin_bar'        => __( 'Form', 'mwp' ),
		'archives'              => __( 'Item Archives', 'mwp' ),
		'parent_item_colon'     => __( 'Parent Item:', 'mwp' ),
		'all_items'             => __( 'All Items', 'mwp' ),
		'add_new_item'          => __( 'Add New Item', 'mwp' ),
		'add_new'               => __( 'Add New', 'mwp' ),
		'new_item'              => __( 'New Item', 'mwp' ),
		'edit_item'             => __( 'Edit Item', 'mwp' ),
		'update_item'           => __( 'Update Item', 'mwp' ),
		'view_item'             => __( 'View Item', 'mwp' ),
		'search_items'          => __( 'Search Item', 'mwp' ),
		'not_found'             => __( 'Not found', 'mwp' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'mwp' ),
		'featured_image'        => __( 'Featured Image', 'mwp' ),
		'set_featured_image'    => __( 'Set featured image', 'mwp' ),
		'remove_featured_image' => __( 'Remove featured image', 'mwp' ),
		'use_featured_image'    => __( 'Use as featured image', 'mwp' ),
		'insert_into_item'      => __( 'Insert into item', 'mwp' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'mwp' ),
		'items_list'            => __( 'Items list', 'mwp' ),
		'items_list_navigation' => __( 'Items list navigation', 'mwp' ),
		'filter_items_list'     => __( 'Filter items list', 'mwp' ),
	);
	$args = array(
		'label'                 => __( 'Form', 'mwp' ),
		'description'           => __( 'Forms to create subscriptions', 'mwp' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'             => 'dashicons-feedback',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => false,		
		'exclude_from_search'   => true,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'mwp_form', $args );

}